:root {
    --max-screen-width: 600px;

    --page-top-bg-color: #eee;
    --page-bg-color: #fff;
    --page-point1-color: #f8b933;
    --page-point2-color: #000000;
    --page-base1-color: #eee;
    --page-common1-color: #767676;

    --swiper-pagination-point: var(--page-common1-color);
    --swiper-pagination-base: #e8e3df;

    --divider-color: #ccc;

    --highlight-color: #f8b933;
    --highlight-color-rgb: 255, 93, 93;

    --sat: env(safe-area-inset-top, 0);
    --sar: env(safe-area-inset-right, 0);
    --sab: env(safe-area-inset-bottom, 0);
    --sal: env(safe-area-inset-left, 0);
}

.loader_bg {
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    background-color: rgba(255, 255, 255, 0);
    /* z-index: 1; */
    z-index: 90000;
    display: none;
}

.loader {
    width: 150px;
    height: 150px;
    display: inline-block;
    padding: 0px;
    text-align: left;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.loader span {
    position: absolute;
    display: inline-block;
    width: 150px;
    height: 150px;
    border-radius: 100%;
    /* background: #000000aa; */
    /* background: url('/assets/images/logo-kaylas.png'); */
    -webkit-animation: loader3 3.5s linear infinite;
    animation: loader3 3.5s linear infinite;
    animation-delay: 1s;
}

/* .loader span:last-child {
    animation-delay: -0.9s;
    -webkit-animation-delay: -0.9s;
} */

@keyframes loader3 {
    0% {
        /* transform: scale(0, 0); */
        opacity: 0;
    }

    50% {
        /* transform: scale(1, 1); */
        opacity: 0.7;
    }

    100% {
        /* transform: scale(1, 1); */
        opacity: 0;
    }
}

@-webkit-keyframes loader3 {
    0% {
        /* -webkit-transform: scale(0, 0); */
        opacity: 0;
    }

    50% {
        /* -webkit-transform: scale(0, 0); */
        opacity: 0.7;
    }

    100% {
        /* -webkit-transform: scale(1, 1); */
        opacity: 0;
    }
}

.toast-cover {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 3000;
}
.toast {
    position: fixed;
    bottom: 120px;
    left: 50%;
    width: calc(100% - 32px);
    max-width: var(--max-screen-width);
    padding: 20px;
    transform: translate(-50%, 10px);
    border-radius: 10px;
    overflow: hidden;
    font-size: 0.8rem;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s, visibility 0.5s, transform 0.5s;
    background: #fff;
    color: #000;
    text-align: center;
    font-size: 16px;
    font-weight: 500;
    z-index: 10000;
}
.toast.show {
    opacity: 1;
    visibility: visible;
    transform: translate(-50%, 0);
}
button {
    border: none;
}

.modal {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 5000;
    padding: 0 40px;
    background: rgba(0, 0, 0, 0.5);
}
.modal.active {
    display: flex;
}
.modal.flex-column {
    display: flex;
    flex-direction: column;
}
.modal .modal-inner {
    position: relative;
    border: 1px solid #1a1a1a;
    background: #fff;
    color: #000;
    box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.2);
    padding: 20px;
    width: 320px;
    min-width: 240px;
}
.modal .modal-inner.modal-event {
    width: 450px;
}
.modal .modal-inner.ico {
    padding-top: 63px;
}
.modal .modal-inner .modal-title {
    display: flex;
    justify-content: center;
    color: #1a1a1a;
    font-size: 20px;
    font-weight: 600;
    line-height: 24px;
    text-transform: uppercase;
    text-align: center;
}
.modal .modal-inner .modal-cont {
    margin-top: 20px;
}
.modal .modal-inner .modal-cont.justify-center {
    display: flex;
    justify-content: center;
}
.modal .modal-inner .modal-cont .txt {
    font-size: 17px;
    font-weight: 500;
    text-align: justify;
    line-height: 26px;
    margin-bottom: 20px;
    word-break: keep-all;
    padding: 10px;
    padding: 0 10px;
}
.modal .modal-inner .modal-cont .txt-sub-highlight {
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 20px;
    word-break: keep-all;
}
.modal .modal-inner input {
    font-size: 16px;
    font-weight: 600;
    border-bottom: 1px solid #a5a5a5;
    padding-bottom: 10px;
    width: 100%;
}
.modal .modal-inner .txt-input {
    margin-top: 4px;
    height: 44px;
    width: 100%;
    padding-bottom: 0;
    font-family: "Noto Sans KR", sans-serif;
    color: #353535;
}
.modal .modal-inner .modal-cont .txt-sub-title {
    position: relative;
    display: flex;
    align-items: center;
    font-size: 16px;
    font-weight: 500;
    word-break: keep-all;
}
.modal .modal-inner .modal-cont .txt-duration {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 4px 0;
    padding: 4px 8px;
    background-color: #375ffe10;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 500;
    word-break: keep-all;
}
.modal .modal-inner .modal-cont .txt-count {
    color: #375ffe;
    font-size: 15px;
    font-weight: 600;
}
.modal .modal-inner .modal-cont .txt-desc {
    color: #375ffe;
    font-size: 14px;
    font-weight: 400;
}
.modal .modal-inner .modal-cont .bg-scroll {
    overflow-y: scroll;
    max-height: 40vh;
    position: relative;
    margin: 16px 0 12px 0;
    padding: 12px 16px;
    background-color: #375ffe10;
    border-radius: 8px;
}
.modal .modal-inner .modal-cont .num-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.modal .modal-inner .modal-cont .txt-num {
    color: #375ffe;
    font-size: 15px;
    font-weight: 400;
}
.modal .modal-inner .modal-cont .txt-num .highlight {
    font-weight: 600;
}
.modal .modal-inner .modal-cont .code .txt-copy {
    position: absolute;
    right: 0;
    color: #767676;
    font-size: 12px;
    font-weight: 500;
    text-decoration-line: underline;
}
.modal .modal-inner .modal-cont .code {
    position: relative;
    display: flex;
    align-items: center;
}
.modal .modal-inner .modal-cont .code .txt-product-code {
    color: #375ffe;
    font-size: 24px;
    font-weight: 700;
}
.modal .modal-inner .modal-cont .code .txt-copy {
    position: absolute;
    right: 0;
    color: #767676;
    font-size: 12px;
    font-weight: 500;
    text-decoration-line: underline;
}
.modal .modal-inner .modal-cont .code .txt-copy-done {
    position: absolute;
    right: 0;
    color: #375ffe;
    font-size: 12px;
    font-weight: 500;
}
.modal .modal-inner .modal-btn {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}
.modal .modal-inner .modal-btn .btn-default {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60px;
    color: #fff;
    font-weight: 600;
    font-size: 18px;
    text-transform: uppercase;
    border-radius: 20px;
}
.modal .modal-inner .modal-btn .btn-default.half {
    width: 50%;
}
.modal .modal-inner .modal-btn:active {
    transform: scale(0.98);
}
.modal .modal-inner .modal-btn .btn-default.confirm {
    border-radius: unset;
    background: #201e22;
    color: #fff;
}
.modal .modal-inner .modal-btn .btn-default.continue {
    border-radius: unset;
    background-color: #eee;
    color: #000;
}
.modal .modal-inner .modal-btn .btn-default.black {
    background-color: #000;
    color: #747474;
}
.modal .modal-inner .modal-btn-details {
    margin-top: 12px;
    display: flex;
    height: 20px;
    justify-content: center;
    align-items: center;
    color: #a5a5a5;
    font-size: 12px;
    line-height: 12px;
    font-weight: 500;
}
.modal .modal-inner .modal-btn-details::after {
    content: "";
    display: inline-block;
    background-image: url("../images/ico-more.png");
    background-size: 12px 12px;
    width: 12px;
    height: 12px;
    vertical-align: middle;
}
.modal .modal-inner .modal-btn-details.kakao::before {
    margin-right: 4px;
    margin-top: 2px;
    content: "";
    display: inline-block;
    background-image: url("../images/ico-kakao-channel.png");
    background-size: 14px 14px;
    width: 14px;
    height: 14px;
    vertical-align: middle;
}
.picker {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 3000;
    width: 100%;
    height: 100%;
    overflow: hidden;
    text-align: center;
    font-size: 14px;
    background-color: rgba(37, 38, 45, 0.4);
}
.picker .picker-panel {
    position: absolute;
    z-index: 600;
    width: 100%;
    height: 273px;
    background: #fff;
}
.picker .picker-panel.up {
    bottom: 0;
    animation: select-scroll-showup 0.3s 0s linear;
    /* max-width: var(--max-screen-width); */
    /* transform: translate(-50%, 0%); */
    /* left: 50%; */
    max-width: 500px;
    transform: translate(0%, 0%);
    right: 0;
}
.picker .picker-panel.down {
    bottom: -273px;
    animation: select-scroll-hidedown 0.3s 0s linear;
}
.picker .picker-panel .picker-choose {
    position: relative;
    height: 60px;
    color: #999;
}
.picker .picker-panel .cancel,
.picker .picker-panel .confirm {
    position: absolute;
    top: 6px;
    padding: 16px;
    font-size: 14px;
}
.picker .picker-panel .confirm {
    right: 0;
    color: #007bff;
}
.picker .picker-panel .cancel {
    left: 0;
}
.picker .picker-panel .picker-title {
    margin: 0;
    line-height: 60px;
    font-weight: 400;
    text-align: center;
    font-size: 18px;
    color: #333;
}
.picker .picker-panel .picker-content {
    position: relative;
    top: 20px;
}
.picker .picker-panel .mask-bottom,
.picker .picker-panel .mask-top {
    z-index: 10;
    width: 100%;
    height: 68px;
    pointer-events: none;
    transform: translateZ(0);
}
.picker .picker-panel .mask-top {
    position: absolute;
    top: 0;
    background: linear-gradient(0deg, hsla(0, 0%, 100%, 0.4), hsla(0, 0%, 100%, 0.8));
}
.picker .picker-panel .mask-bottom {
    position: absolute;
    bottom: 1px;
    background: linear-gradient(180deg, hsla(0, 0%, 100%, 0.4), hsla(0, 0%, 100%, 0.8));
}
.picker .picker-panel .border-bottom-1px:after,
.picker .picker-panel .border-bottom-1px:before,
.picker .picker-panel .border-top-1px:after,
.picker .picker-panel .border-top-1px:before {
    content: "";
    display: block;
    position: absolute;
    transform-origin: 0 0;
}
.picker .picker-panel .border-bottom-1px:after {
    border-bottom: 1px solid #ebebeb;
    left: 0;
    bottom: 0;
    transform-origin: 0 bottom;
    width: 200%;
    transform: scale(0.5) translateZ(0);
}
.picker .picker-panel .border-top-1px:before {
    width: 200%;
    transform: scale(0.5) translateZ(0);
    border-top: 1px solid #ebebeb;
    left: 0;
    top: 0;
    transform-origin: 0 top;
}
.picker .picker-panel .wheel-wrapper {
    display: -ms-flexbox;
    display: flex;
    padding: 0 16px;
}
.picker .picker-panel .wheel {
    -ms-flex: 1;
    flex: 1;
    -ms-flex-preferred-size: -8e;
    flex-basis: -8e;
    width: 1%;
    height: 173px;
    overflow: hidden;
    font-size: 20px;
}
.picker .picker-panel .wheel-scroll {
    padding: 0;
    margin-top: 68px;
    line-height: 36px;
    list-style: none;
}
.picker .picker-panel .wheel-item {
    list-style: none;
    height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #333;
}
.picker .picker-footer {
    height: 20px;
}

/* Naver Map */

.iw_inner {
    position: relative;
    padding: 10px 20px 10px 20px;
    min-width: 80px;
    height: auto;
    border-radius: 100px;
    background: #fff;
    border: none;
    border: solid 1px #000;
    stroke-width: 1px;
    stroke: #000;
    color: #000;
    text-align: center;
    font-size: 11px;
    font-weight: 600;
    margin-top: -1px;
}
.iw_inner.bookmark {
    background: #000;
    color: var(--page-point1-color);
    overflow: unset;
}
.iw_inner .txt-title {
    text-align: center;
    font-size: 12px;
    font-weight: 600;
    line-height: 14px;
    word-break: break-all;
}
.iw_inner .btn-more {
    position: absolute;
    width: 5px;
    height: 10px;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background-image: url("../images/ico-map-more.png");
    background-size: 5px 10px;
    background-repeat: no-repeat;
    background-position: center;
}
.iw_inner .btn-more.bookmark {
    background-image: url("../images/ico-map-more-bookmark.png");
}
.iw_inner .btn-coupon {
    position: absolute;
    width: 30px;
    height: 20px;
    left: 50%;
    top: -10px;
    transform: translateX(-50%);
    background-image: url("../images/ico-map-coupon.png");
    background-size: 30px 20px;
    background-repeat: no-repeat;
    background-position: center;
}

/* .swiper-zoom-container {
    height: 100vh !important;
} */
.lucky-wheel {
    justify-content: center;
    display: flex;
    align-items: center;
}
.lucky-wheel-info {
    justify-content: space-between;
    position: absolute;
    top: 30px;
    width: 180px;
    background-color: #a5a5a5;
    border-radius: 10px;
    padding: 10px 12px;
    display: flex;
    color: #fff;
    font-size: 15px;
    font-weight: 400;
}
.lucky-wheel-info .highlight {
    color: #fff;
    font-weight: 700;
}
